> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings



## OpenAPI

````yaml put /accounts/settings
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /accounts/settings:
    put:
      tags:
        - Account Settings
      parameters:
        - $ref: '#/components/parameters/account_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                settings:
                  type: object
                  additionalProperties: true
      responses:
        '200':
          description: Successfully updated account settings
          content:
            application/json:
              schema:
                type: boolean
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````